RagTime5StructManager::DataParser Struct Reference

virtual class use to parse the unstructured data More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::DataParser:

## Public Member Functions

| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data

## Protected Attributes

std::string | m_name
| the field name

## Private Member Functions

| DataParser (DataParser const &orig)=delete
DataParser & | operator= (DataParser const &orig)=delete

## Detailed Description

virtual class use to parse the unstructured data

## Constructor & Destructor Documentation

## DataParser() [1/2]

RagTime5StructManager::DataParser::DataParser | ( | std::string const & | zoneName | ) |

explicit

constructor

Referenced by RagTime5TextInternal::BlockCellListParser::BlockCellListParser(), RagTime5SpreadsheetInternal::CellPLCParser::CellPLCParser(), RagTime5ChartInternal::ChildTZoneParser::ChildTZoneParser(), RagTime5ChartInternal::ClustListParser::ClustListParser(), RagTime5DocumentInternal::ClustListParser::ClustListParser(), RagTime5GraphInternal::ClustListParser::ClustListParser(), RagTime5LayoutInternal::ClustListParser::ClustListParser(), RagTime5PipelineInternal::ClustListParser::ClustListParser(), RagTime5SpreadsheetInternal::ClustListParser::ClustListParser(), RagTime5TextInternal::ClustListParser::ClustListParser(), DataParser(), RagTime5ChartInternal::DoubleParser::DoubleParser(), RagTime5GraphInternal::FloatParser::FloatParser(), RagTime5DocumentInternal::IndexUnicodeParser::IndexUnicodeParser(), RagTime5GraphInternal::IntListParser::IntListParser(), operator=(), RagTime5LayoutInternal::PageDataParser::PageDataParser(), RagTime5ChartInternal::SerieTypeParser::SerieTypeParser(), RagTime5PipelineInternal::UnknownParser::UnknownParser(), RagTime5SpreadsheetInternal::ValuesParser::ValuesParser(), RagTime5ChartInternal::ZoneUnknown1Parser::ZoneUnknown1Parser(), and RagTime5ChartInternal::ZoneUnknown3Parser::ZoneUnknown3Parser().

## ~DataParser()

RagTime5StructManager::DataParser::~DataParser | ( |  | ) |

virtual

destructor

## DataParser() [2/2]

RagTime5StructManager::DataParser::DataParser | ( | DataParser const & | orig | ) |

private delete

## Member Function Documentation

## getZoneName() [1/2]

virtual std::string RagTime5StructManager::DataParser::getZoneName | ( |  | ) | const

inline virtual

return the debug name corresponding to a zone

Referenced by RagTime5Document::readFixedSizeZone(), and RagTime5Document::readListZone().

## getZoneName() [2/2]

virtual std::string RagTime5StructManager::DataParser::getZoneName | ( | int | n | ) | const

inline virtual

return the debug name corresponding to a field

## operator=()

DataParser & RagTime5StructManager::DataParser::operator= | ( | DataParser const & | orig | ) |

private delete

## parseData()

virtual bool RagTime5StructManager::DataParser::parseData | ( | MWAWInputStreamPtr & | ,
|  | long | ,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | )

inline virtual

parse a data

Reimplemented in RagTime5ChartInternal::ChildTZoneParser, RagTime5ChartInternal::ClustListParser, RagTime5ChartInternal::DoubleParser, RagTime5ChartInternal::SerieTypeParser, RagTime5ChartInternal::ZoneUnknown1Parser, RagTime5ChartInternal::ZoneUnknown3Parser, RagTime5DocumentInternal::ClustListParser, RagTime5DocumentInternal::IndexUnicodeParser, RagTime5GraphInternal::ClustListParser, RagTime5GraphInternal::FloatParser, RagTime5GraphInternal::IntListParser, RagTime5LayoutInternal::ClustListParser, RagTime5LayoutInternal::PageDataParser, RagTime5PipelineInternal::ClustListParser, RagTime5PipelineInternal::UnknownParser, RagTime5SpreadsheetInternal::CellPLCParser, RagTime5SpreadsheetInternal::ClustListParser, RagTime5SpreadsheetInternal::ValuesParser, RagTime5TextInternal::BlockCellListParser, and RagTime5TextInternal::ClustListParser.

Referenced by RagTime5Document::readFixedSizeZone(), and RagTime5Document::readListZone().

## Member Data Documentation

## m_name

std::string RagTime5StructManager::DataParser::m_name

protected

the field name

Referenced by DataParser(), getZoneName(), getZoneName(), and RagTime5SpreadsheetInternal::CellPLCParser::parseData().

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx